return {
  {
    -- Main Telescope plugin
    "nvim-telescope/telescope.nvim",
    version = "0.1.8",       -- or branch = '0.1.x'
    dependencies = {
      "nvim-lua/plenary.nvim",
      {
        -- FZF native plugin for better fuzzy matching
        "nvim-telescope/telescope-fzf-native.nvim",
        build = "make",     -- Lazy will run `make` when installing/updating
        -- If you want to ensure 'make' is available, you can do:
        -- cond = function()
        --   return vim.fn.executable("make") == 1
        -- end,
      },
    },
    cmd = "Telescope",       -- load only when calling Telescope
    config = function()
      require("telescope").setup({
        defaults = {
          mappings = {
            i = {
              ["<esc>"] = require("telescope.actions").close,
            },
          },
        },
      })
      -- After setup, load the FZF extension (it must be built successfully first)
      require("telescope").load_extension("fzf")
    end,
  },
}
